Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class QTEventCaster

    java.lang.Object
      |
      +--quicktime.app.event.QTEventCaster

All Implemented Interfaces:
  java.util.EventListener, MouseButtonListener, MouseEnterExitListener, MouseMoveListener, MouseTargetListener, QTActionListener, QTMouseListener

public class QTEventCaster
extends java.lang.Object
implements java.util.EventListener, QTActionListener, MouseButtonListener, MouseMoveListener, MouseEnterExitListener, MouseTargetListener

The QTEventCaster is used to broadcast QTEvents to registered listeners. There are two characteristics of the broadcaster that are worthy of note: Broadcasters check whether the event is consumed before each invocation of a listeners methods. Broadcasters also check to see if a given listener is interested in an event based on the modifier filter (if defined by the listener) before the event is passed onto the listener.

Field Summary
`protected java.util.EventListener` | `a`
`protected java.util.EventListener` | `b`

Constructor Summary
`protected` | `QTEventCaster(java.util.EventListener a, java.util.EventListener b)`

Method Summary
`void` | `actionPerformed(QTActionEvent e)` Broadcasts the event to any interested QTActionListeners.
`static MouseButtonListener` | `add(MouseButtonListener c, MouseButtonListener d)` Adds action-listener-a with action-listener-b and returns the resulting multicast listener.
`static MouseEnterExitListener` | `add(MouseEnterExitListener c, MouseEnterExitListener d)`
`static MouseMoveListener` | `add(MouseMoveListener c, MouseMoveListener d)`
`static MouseTargetListener` | `add(MouseTargetListener c, MouseTargetListener d)`
`static QTActionListener` | `add(QTActionListener c, QTActionListener d)` Adds action-listener-a with action-listener-b and returns the resulting multicast listener.
`protected static java.util.EventListener` | `addListener(java.util.EventListener a, java.util.EventListener b)` Returns the resulting multicast listener from adding listener-a and listener-b together.
`boolean` | `matchModifierFilter(int mods)`
`void` | `mouseClicked(QTMouseEvent e)` Invoked when the mouse has been clicked.
`void` | `mouseDragged(QTMouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(QTMouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(QTMouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(QTMouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(QTMouseEvent e)` Invoked when a mouse button has been pressed.
`void` | `mouseReleased(QTMouseEvent e)` Invoked when a mouse button has been released.
`void` | `mouseTargetEntered(QTMouseEvent e)` Invoked when a mouseMoved event enters a Target within an enclosing space.
`void` | `mouseTargetExited(QTMouseEvent e)` Invoked when a mouseMoved event exits a Target within an enclosing space.
`static MouseButtonListener` | `remove(MouseButtonListener l, MouseButtonListener oldl)` Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
`static MouseEnterExitListener` | `remove(MouseEnterExitListener l, MouseEnterExitListener oldl)` Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
`static MouseMoveListener` | `remove(MouseMoveListener l, MouseMoveListener oldl)` Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
`static MouseTargetListener` | `remove(MouseTargetListener l, MouseTargetListener oldl)`
`static QTActionListener` | `remove(QTActionListener l, QTActionListener oldl)` Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
`protected static java.util.EventListener` | `removeListener(java.util.EventListener l, java.util.EventListener oldl)` Returns the resulting multicast listener after removing the old listener from listener-l.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    protected final java.util.EventListener a

### b

    protected final java.util.EventListener b

Constructor Detail

### QTEventCaster

    protected QTEventCaster(java.util.EventListener a,
                            java.util.EventListener b)

  Parameters:
    `a` - listener-a
    `b` - listener-b

Method Detail

### add

    public static MouseButtonListener add(MouseButtonListener c,
                                          MouseButtonListener d)

  Adds action-listener-a with action-listener-b and returns the resulting multicast listener.
  Parameters:
    `a` - action-listener-a
    `b` - action-listener-b

### remove

    public static MouseButtonListener remove(MouseButtonListener l,
                                             MouseButtonListener oldl)

  Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
  Parameters:
    `l` - action-listener-l
    `oldl` - the action-listener being removed

### mouseClicked

    public void mouseClicked(QTMouseEvent e)

  Invoked when the mouse has been clicked.
  Specified by:
    `mouseClicked` in interface `MouseButtonListener`

### mousePressed

    public void mousePressed(QTMouseEvent e)

  Invoked when a mouse button has been pressed.
  Specified by:
    `mousePressed` in interface `MouseButtonListener`

### matchModifierFilter

    public boolean matchModifierFilter(int mods)

  Specified by:
    `matchModifierFilter` in interface `QTMouseListener`
  Following copied from interface: `quicktime.app.event.QTMouseListener`
  Parameters:
    `mods` - the state of the modifier keys.
  Returns:
    true if a particular listener is interested in receiving the mouse event(s) it is interested in with the given modifier state, or false if otherwise.

### mouseReleased

    public void mouseReleased(QTMouseEvent e)

  Invoked when a mouse button has been released.
  Specified by:
    `mouseReleased` in interface `MouseButtonListener`

### add

    public static MouseMoveListener add(MouseMoveListener c,
                                        MouseMoveListener d)

### remove

    public static MouseMoveListener remove(MouseMoveListener l,
                                           MouseMoveListener oldl)

  Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
  Parameters:
    `l` - action-listener-l
    `oldl` - the action-listener being removed

### mouseDragged

    public void mouseDragged(QTMouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
  Specified by:
    `mouseDragged` in interface `MouseMoveListener`

### mouseMoved

    public void mouseMoved(QTMouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).
  Specified by:
    `mouseMoved` in interface `MouseMoveListener`

### add

    public static MouseEnterExitListener add(MouseEnterExitListener c,
                                             MouseEnterExitListener d)

### remove

    public static MouseEnterExitListener remove(MouseEnterExitListener l,
                                                MouseEnterExitListener oldl)

  Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
  Parameters:
    `l` - action-listener-l
    `oldl` - the action-listener being removed

### mouseEntered

    public void mouseEntered(QTMouseEvent e)

  Invoked when the mouse enters a component.
  Specified by:
    `mouseEntered` in interface `MouseEnterExitListener`

### mouseExited

    public void mouseExited(QTMouseEvent e)

  Invoked when the mouse exits a component.
  Specified by:
    `mouseExited` in interface `MouseEnterExitListener`

### add

    public static MouseTargetListener add(MouseTargetListener c,
                                          MouseTargetListener d)

### remove

    public static MouseTargetListener remove(MouseTargetListener l,
                                             MouseTargetListener oldl)

### mouseTargetEntered

    public void mouseTargetEntered(QTMouseEvent e)

  Invoked when a mouseMoved event enters a Target within an enclosing space. The target of a MouseResponder is set for events of this kind.
  Specified by:
    `mouseTargetEntered` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### mouseTargetExited

    public void mouseTargetExited(QTMouseEvent e)

  Invoked when a mouseMoved event exits a Target within an enclosing space. The target of a MouseResponder is set for events of this kind.
  Specified by:
    `mouseTargetExited` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### add

    public static QTActionListener add(QTActionListener c,
                                       QTActionListener d)

  Adds action-listener-a with action-listener-b and returns the resulting multicast listener.
  Parameters:
    `a` - action-listener-a
    `b` - action-listener-b

### remove

    public static QTActionListener remove(QTActionListener l,
                                          QTActionListener oldl)

  Removes the old action-listener from action-listener-l and returns the resulting multicast listener.
  Parameters:
    `l` - action-listener-l
    `oldl` - the action-listener being removed

### actionPerformed

    public void actionPerformed(QTActionEvent e)

  Broadcasts the event to any interested QTActionListeners. If the event is consumed it will not be broadcast to any further listeners.
  Specified by:
    `actionPerformed` in interface `QTActionListener`

### addListener

    protected static java.util.EventListener addListener(java.util.EventListener a,
                                                         java.util.EventListener b)

  Returns the resulting multicast listener from adding listener-a and listener-b together. If listener-a is null, it returns listener-b; If listener-b is null, it returns listener-a If neither are null, then it creates and returns a new AWTEventMulticaster instance which chains a with b.
  Parameters:
    `a` - event listener-a
    `b` - event listener-b

### removeListener

    protected static java.util.EventListener removeListener(java.util.EventListener l,
                                                            java.util.EventListener oldl)

  Returns the resulting multicast listener after removing the old listener from listener-l. If listener-l equals the old listener OR listener-l is null, returns null. Else if listener-l is an instance of AWTEventMulticaster, then it removes the old listener from it. Else, returns listener l.
  Parameters:
    `l` - the listener being removed from
    `oldl` - the listener being removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD